<div class="input-geo-json" {{did-insert this.setup}} ...attributes>
  <Attributes::GroupPositionType
    @isEditor={{@isEditor}}
    @colValue={{@colValue}}
    @details={{this.positionDetails}}
    @options={{this.positionTypeOptions}}
    @onChange={{this.changePositionType}}
    @deviceSize={{@deviceSize}}
    @path={{@path}}
  />

  {{#if (eq this.positionDetails.type "address")}}
    <Attributes::GroupPositionAddress @details={{this.positionDetails}} @onChange={{this.changePosition}} />
  {{/if}}

  {{#if (eq this.positionDetails.type "feature")}}
    <Attributes::GroupMapSelectableFeature
      class="mt-4"
      @campaign={{@campaign}}
      @position={{this.value}}
      @details={{this.positionDetails}}
      @onChange={{this.changePosition}}
    />

    <Attributes::GroupPositionFeature
      class="feature-details-card mt-2"
      @state={{@state}}
      @details={{this.positionDetails}}
      @value={{this.value}}
      @onChange={{this.changePosition}}
    />
  {{else if this.positionDetails.type}}
    <Attributes::GroupMap
      class="mt-4"
      @campaign={{@campaign}}
      @positionService={{this.position}}
      @position={{this.value}}
      @details={{this.positionDetails}}
      @searchResults={{this.geocodingSearch.results}}
      @onChange={{this.changePosition}}
      @onSearch={{this.searchGeocoding}}
    />
  {{/if}}
</div>